[FFe] [17.10 FEAT] upgrade to newest version of glibc >=2.26

Bug #1703368 reported by bugproxy on 2017-07-10
20
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Undecided
Unassigned
glibc (Ubuntu)
Undecided
Adam Conrad

Bug Description

[ Proposal ]
I'd like to upload glibc 2.26 today (September 5th) and aim to have all the autopkgtest regressions dealt with and the package migrated to the release pocket within a week.

[ Justification ]
Ubuntu's glibc is now two upstream revisions behind, and 2.25 and 2.26 brought in a large number of fixes and arch-specific optimizations. We want both.

[ Regression Potential ]
The upstream test suite passes on all of our architectures, and there are not too many changes noted in the upstream changelog that look like they'd cause disruption. A few obsolete headers have been removed and the like, so keeping an eye on future FTBFSes to potentially deal with that will be needed, but nothing looks hugely impactful.

[ Original Report ]
Request to upgrade to newest level of glibc 2.26. which introduced some new features for new machine...
Currently this version is under development

https://sourceware.org/glibc/wiki/Release/2.26

But should be availablle for the 17.10 Release

bugproxy (bugproxy) on 2017-07-10
tags: added: architecture-s39064 bugnameltc-156510 severity-high targetmilestone-inin1710
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → glibc (Ubuntu)
Changed in ubuntu-z-systems:
assignee: nobody → Dimitri John Ledkov (xnox)
Dimitri John Ledkov (xnox) wrote :

We cannot commit to upgradeing to 2.26 before it is released publically. At that point toolchain maintainers will evaluate if we can take new glibc in, or not. Usually we do, but it may slip depending on the end timings.

------- Comment From <email address hidden> 2017-07-19 05:32 EDT-------
Information from glibc main page:
The current development version of glibc 2.26, releasing on or around August 1, 2017

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-08-03 07:18 EDT-------
glibc version 2.26 now released
https://sourceware.org/ml/libc-alpha/2017-08/msg00010.html

Steve Langasek (vorlon) on 2017-08-03
Changed in glibc (Ubuntu):
assignee: Skipper Bug Screeners (skipper-screen-team) → Adam Conrad (adconrad)
status: New → Triaged
Changed in ubuntu-z-systems:
assignee: Dimitri John Ledkov (xnox) → nobody
status: New → Triaged
Adam Conrad (adconrad) on 2017-09-02
information type: Private → Public

Adam Conrad your ppa is broken (https://launchpad.net/~adconrad/+archive/ubuntu/staging)
this is on Virtualbox
$ sudo apt upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages will be upgraded:
  libc-bin libc-dev-bin libc6 libc6-dbg libc6-dev locales locales-all multiarch-support
8 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/17,3 MB of archives.
After this operation, 3 711 kB of additional disk space will be used.
Do you want to continue? [Y/n]
Preconfiguring packages ...
(Reading database ... 167704 files and directories currently installed.)
Preparing to unpack .../libc6-dbg_2.26-0ubuntu1~ppa1_amd64.deb ...
Unpacking libc6-dbg:amd64 (2.26-0ubuntu1~ppa1) over (2.24-12ubuntu1) ...
Preparing to unpack .../libc6-dev_2.26-0ubuntu1~ppa1_amd64.deb ...
Unpacking libc6-dev:amd64 (2.26-0ubuntu1~ppa1) over (2.24-12ubuntu1) ...
Preparing to unpack .../libc-dev-bin_2.26-0ubuntu1~ppa1_amd64.deb ...
Unpacking libc-dev-bin (2.26-0ubuntu1~ppa1) over (2.24-12ubuntu1) ...
Preparing to unpack .../libc6_2.26-0ubuntu1~ppa1_amd64.deb ...
Unpacking libc6:amd64 (2.26-0ubuntu1~ppa1) over (2.24-12ubuntu1) ...
Setting up libc6:amd64 (2.26-0ubuntu1~ppa1) ...
Use of uninitialized value in concatenation (.) or string at /usr/share/perl5/Debconf/Config.pm line 22.
dpkg: unrecoverable fatal error, aborting:
 unknown user 'geoclue' in statoverride file
E: Sub-process /usr/bin/dpkg returned an error code (2)

That has been fixed in more recent PPA versions. Also, who pointed you at that PPA? Installing random PPAs isn't usually smart. ;)

summary: - 17.10 FEAT] upgrade to newest version of glibc >=2.26
+ [FFe] 17.10 FEAT] upgrade to newest version of glibc >=2.26
Adam Conrad (adconrad) wrote :
description: updated
Adam Conrad (adconrad) on 2017-09-05
summary: - [FFe] 17.10 FEAT] upgrade to newest version of glibc >=2.26
+ [FFe] [17.10 FEAT] upgrade to newest version of glibc >=2.26
Steve Langasek (vorlon) wrote :

FFe approved. autopkgtests and archive rebuild tests give us a good deal of confidence about the quality of this landing, and we don't want to wait until 18.04 opens to get 2.26 in to get other feedback up the stack.

Rik Mills (rikmills) wrote :

This update breaks compilation of KDE and likely other packages:

See: https://bugs.launchpad.net/ubuntu/+source/glibc/+bug/1715599

DSUZUKI (gdaisuzu) wrote :

This update (glibc 2.24->2.26) also breaks compilation of NVDIA's CUDA and Intel's ICC:

See: https://bugs.launchpad.net/ubuntu/+source/glibc/+bug/1716816

Launchpad Janitor (janitor) wrote :
Download full text (16.4 KiB)

This bug was fixed in the package glibc - 2.26-0ubuntu1

---------------
glibc (2.26-0ubuntu1) artful; urgency=medium

  * Merge with current 2.26 from Debian experimental git, remaining changes:
    - Enable libc6{,-dev}-armel on armhf and libc6{-dev}-armhf on armel.
    - Heavily mangle the way we do service restarting on major upgrades.
    - Build i386 variants as -march=i686, build amd64 with -O3, and build
      ppc64 variants (both 64-bit and 32-bit) with -O3 -fno-tree-vectorize.
    - Build generic i386 flavour with -mno-tls-direct-seg-refs for Xen.
    - Drop the libc6-xen flavour, as the above change covers Xen's needs.
    - Enable systemtap support, which is currently disabled in Debian.
    - Don't build libc-l10n, its contents get stripped for language-packs.
    - Drop libc-bin manpages Recommends to Suggests to keep it in standard.
    - Revert dropping the ldconfig wrapper, xenial still has a lot of
      packages that don't ship a trigger but instead call in postinst.
    - Use DH_COMPAT=8 for dh_strip to fix debug sections for valgrind.
    - Mangle locales package to support Ubuntu language packs seamlessly.
  * debian/rules.d/build.mk: Configure with --enable-obsolete-nsl until we
    sort out a reasonable nsswitch migration strategy from compat to files.

glibc (2.26-0experimental0) UNRELEASED; urgency=medium

  * New upstream release (LP: #1703368), with git updates to 2017-09-01:
    - debian/{symbols.wildcards,control}: Update and regen for 2.26.
    - debian/patches/alpha/submitted-termios_h.diff: upstreamed.
    - debian/patches/arm/submitted-strip-bit-0.diff: upstreamed.
    - debian/patches/hurd-i386/git-__inet6_scopeid_pton.diff: upstreamed.
    - debian/patches/any/submitted-string2-strcmp.diff: obsolete.
    - debian/patches/any/local-tst-writev.diff: fixed upstream.
    - debian/patches/any/local-dynamic-resolvconf.diff: fixed upstream.
    - debian/patches/any/submitted-unicode-9.0.0.diff: obsolete.
    - debian/patches/any/cvs-malloc-hardening.diff: upstreamed.
    - debian/patches/any/local-bits-sigstack.diff: fixed upstream.
    - debian/patches/i386/local-cmov.diff: dropped, no longer useful.
    - debian/patches/all/local-ldd.diff: rebased.
    - debian/patches/any/local-ldso-disable-hwcap.diff: rebased.
    - debian/patches/any/local-tcsetaddr.diff: rebased.
    - debian/patches/any/submitted-resolv-unaligned.diff: rebased.
    - debian/patches/arm/local-arm-futex.diff: rebased.
    - debian/patches/hurd-i386/local-ED.diff: rebased.
    - debian/patches/hurd-i386/tg-EGREGIOUS-fr.diff: rebased.
    - debian/patches/hurd-i386/tg-EIEIO-fr.diff: rebased.
    - debian/patches/kfreebsd/submitted-auxv.diff: rebased.
    - debian/patches/kfreebsd/submitted-waitid.diff: rebased.
    - debian/patches/localedata/locales-fr.diff: rebased.
    - debian/patches/powerpc/submitted-tst-tlsopt-powerpc.diff: rebased.
    - debian/patches/sparc/submitted-sparc64-socketcall.diff: rebased.
    - Disabled the following hurd-i386 patches to speed up Linux porting:
      - hurd-i386/tg-hurdsig-global-dispositions.diff: disabled.
      - hurd-i386/local-hurdsig-global-dispositions-version.diff: disabled.
      - hurd-i386/tg-hur...

Changed in glibc (Ubuntu):
status: Triaged → Fix Released
Changed in ubuntu-z-systems:
status: Triaged → Fix Released

------- Comment From <email address hidden> 2017-09-20 09:39 EDT-------
IBM bugzilla status -> closed => glibc 2.26 available within Artful

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers